Bug 1921616 - Review Request: php-friendsofphp-proxy-manager-lts - OOP proxy wrappers utilities
Summary: Review Request: php-friendsofphp-proxy-manager-lts - OOP proxy wrappers utili...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1921604
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-28 10:07 UTC by Remi Collet
Modified: 2021-03-19 20:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-19 18:48:56 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2021-01-28 10:07:19 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/friendsofphp/php-friendsofphp-proxy-manager-lts.git/plain/php-friendsofphp-proxy-manager-lts.spec?id=196f40b5a514e800a4c64b0ed5fe18db0ae18567
SRPM URL: https://rpms.remirepo.net/SRPMS/php-friendsofphp-proxy-manager-lts-1.0.3-2.remi.src.rpm
Description: 
This package is a fork of the excellent ocramius/proxy-manager library
that adds long term support for a wider range of PHP versions.

Unless they're caused by this very fork, please report issues and submit
new features to the origin library.

This fork:

* maintains compatibility with PHP >=7.1;
  supporting new versions of PHP is considered as a bugfix;
* won't bump the minimum supported version of PHP in a minor release;
* does not depend on Composer 2, thus can be used with Composer 1 if
  you need more time to migrate;
* uses a versioning policy that is friendly to progressive migrations
  while providing the latest improvements from the origin lib.

Autoloader: /usr/share/php/FriendsOfPHP/ProxyManager/autoload.php


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 🐧 2021-03-09 11:17:51 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated", "*No copyright* Expat
     License". 395 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-friendsofphp-proxy-
     manager-lts/review-php-friendsofphp-proxy-manager-lts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-friendsofphp-proxy-manager-lts-1.0.3-2.fc35.noarch.rpm
          php-friendsofphp-proxy-manager-lts-1.0.3-2.fc35.src.rpm
php-friendsofphp-proxy-manager-lts.noarch: W: spelling-error %description -l en_US ocramius -> craniums
php-friendsofphp-proxy-manager-lts.noarch: W: spelling-error %description -l en_US bugfix -> bug fix, bug-fix, firebug
php-friendsofphp-proxy-manager-lts.noarch: W: spelling-error %description -l en_US versioning -> versifying, version, overseeing
php-friendsofphp-proxy-manager-lts.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US ocramius -> craniums
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US bugfix -> bug fix, bug-fix, firebug
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US versioning -> versifying, version, overseeing
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US usr -> use, us, user
php-friendsofphp-proxy-manager-lts.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-friendsofphp-proxy-manager-lts.src: W: strange-permission makesrc.sh 755
php-friendsofphp-proxy-manager-lts.src: W: invalid-url Source0: php-friendsofphp-proxy-manager-lts-1.0.3-121af47.tgz
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 3 Tomas Hrcka 2021-03-10 22:42:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-friendsofphp-proxy-manager-lts

Comment 4 Fedora Update System 2021-03-11 07:33:20 UTC
FEDORA-2021-0fcb10e0a9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-0fcb10e0a9

Comment 5 Fedora Update System 2021-03-11 07:33:21 UTC
FEDORA-2021-cb37ece6b4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-cb37ece6b4

Comment 6 Fedora Update System 2021-03-11 19:51:32 UTC
FEDORA-2021-0fcb10e0a9 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-0fcb10e0a9 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0fcb10e0a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-03-12 00:19:09 UTC
FEDORA-2021-cb37ece6b4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-cb37ece6b4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-cb37ece6b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-19 18:48:56 UTC
FEDORA-2021-cb37ece6b4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-19 20:11:17 UTC
FEDORA-2021-0fcb10e0a9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.